import { useState } from "react";
import { View } from "@tarojs/components";

import PageCustom from "@/components/page-custom/index";
import NavBarNormal from "@/components/nav-bar-normal/index";
import WemetaInput from "@/components/wemeta-input/index";
import WemetaTextarea from "@/components/wemeta-textarea";
import FormItem from '@/components/form/FormItem'
import Taro, { useUnload } from "@tarojs/taro";
import { useCharacterStore } from "@/store/characterStore";
import { useComponentStore } from "@/store/componentStore";
import  PickerSingleColumn from "@/components/Picker/PickerSingleColumn";
import IconArrowDownRounded from '@/components/icon/IconArrowDownRounded';

export default function Index() {

  
  // 当前选中的值
  const options = ['销售人员', '客服与售后支持', '市场与商务合作人员', '新员工 / 培训岗位', '管理者 / 内容运营者']
  // 是否显示选择器
  const [showPicker, setShowPicker] = useState(false)

  // 当前选中的值
  const [selected, setSelected] = useState(options[0])

  const handleChange = (value: string) => {
    setSelected(value)
  }

  const [value, setValue] = useState({
    job: "",
    department: "",
    company: "",
  });

  const onChange = (key: string, v: string) => {
    value[key] = v;
    setValue({
      ...value,
    });
  };

  const handleSave = async () => {
    if (
      !value.job?.length &&
      !value.department?.length &&
      !value.company?.length
    ) {
      return;
    }
    
    // const c = {
    //   data: {
    //     job: value.job,
    //     department: value.department,
    //     company: value.company,
    //   },
    //   enabled: currentComponent?.enabled ?? true,
    //   id: currentComponent?.id,
    //   name: currentComponent?.name ?? "商务名片",
    //   characterProfileId:
    //     currentComponent?.characterProfileId ?? character?.profileId,
    //   type: "businessCard",
    // };

    // await saveComponent(c);
  };

  

  return (
    <PageCustom>
      <NavBarNormal
        backText="联系我们"
      ></NavBarNormal>
      <View className="flex flex-col items-center w-full gap-16 p-16 pb-140">
        <FormItem labelText="您的姓名" required>
          <WemetaInput
              value={value.job}
              onInput={(value: string) => onChange("job", value)}
              placeholder="请输入"
            />
        </FormItem>
        <FormItem labelText="联系方式" required>
          <WemetaInput
              value={value.job}
              onInput={(value: string) => onChange("job", value)}
              placeholder="请输入您的手机号/微信号"
            />
        </FormItem>
        <FormItem labelText="公司信息" required>
          <WemetaInput
              value={value.job}
              onInput={(value: string) => onChange("job", value)}
              placeholder="请输入公司名称"
            />
        </FormItem>
        <FormItem labelText="您的岗位" required>
          <PickerSingleColumn headerTitle="您的岗位" options={options} selected={selected} onChange={handleChange} showPicker={showPicker} setShowPicker={setShowPicker}>
            <View className="flex items-center gap-2 bg-white rounded-12 p-12 mb-16" onClick={() => setShowPicker(true)}>
              <View className="flex-1 text-14 leading-22 text-gray-45">{selected}</View>
              <View className="flex-center">
                <IconArrowDownRounded/>
              </View>
            </View>
          </PickerSingleColumn>
        </FormItem>
        <FormItem labelText="需求详情">
          <WemetaTextarea
            value={value.job}
            onInput={(value: string) => onChange("job", value)}
            placeholder="请输入"
          />
        </FormItem>

      </View>
      <View className="bottom-bar">
        <View className="pt-12 px-20">
          <View className={`button-rounded button-primary`}>保存</View>
        </View>
      </View>
    </PageCustom>
  );
}
